/* tslint:disable */
/**
 * This file was automatically generated by json-schema-to-typescript.
 * DO NOT MODIFY IT BY HAND. Instead, modify the source JSONSchema file,
 * and run json-schema-to-typescript to regenerate this file.
 */

export interface Rule {
  uuid?: string;
  rulereserve_nodes?: string;
  version_standard_url?: string;
  xalgo_schema_version?: string;
  metadata?: {
    rule?: {
      version?: string;
      pattern?: string;
      pattern_version?: string;
      criticality?: string;
      group?: string;
      description?: string;
      url?: string;
      title?: string;
      rulemaker_entity?: {
        entity_id?: string;
        entity_name?: string;
        entity_url?: string;
        [k: string]: unknown;
      }[];
      rulemaker_manager?: {
        manager_id?: string;
        manager_name?: string;
        manager_contact?: string;
        manager_profile?: string;
        [k: string]: unknown;
      }[];
      rulemaker_author?: {
        author_id?: string;
        author_name?: string;
        author_contact?: string;
        author_profile?: string;
        [k: string]: unknown;
      }[];
      rulemaker_maintainer?: {
        rulemaker_maintainer_id?: string;
        rulemaker_maintainer_name?: string;
        rulemaker_maintainer_contact?: string;
        rulemaker_maintainer_profile?: string;
        [k: string]: unknown;
      }[];
      [k: string]: unknown;
    };
    [k: string]: unknown;
  };
  linked_rules_or_lookups?: {
    uuid?: string;
    column?: unknown[];
    row?: unknown[];
    value?: unknown[];
    [k: string]: unknown;
  }[];
  context_ineffect?: {
    datetime_standard_url?: string;
    datetime_zone?: string;
    datetime_range?: {
      start?: string;
      end?: string;
      [k: string]: unknown;
    };
    jurisdiction_standard_url?: string;
    jurisdiction_country?: string;
    jurisdiction_subcountry?: string;
    [k: string]: unknown;
  }[];
  category_applicable?: {
    industry?: {
      industry_standard_url?: string;
      isic_industry_code?: string;
      isic_industry_name?: string;
      [k: string]: unknown;
    }[];
    good_service_asset?: {
      good_service_asset_standard_url?: string;
      unspsc_code?: string;
      unspsc_name?: string;
      [k: string]: unknown;
    }[];
    [k: string]: unknown;
  };
  input_conditions?: {
    sentence?: {
      determiner?: string;
      subject_noun?: string;
      past_participle_verb?: string;
      auxiliary_verb?: string;
      object_descriptor?: string;
      object_nounorverb?: string;
      [k: string]: unknown;
    };
    logic_values?: {
      scenario?: string;
      value?: string;
      [k: string]: unknown;
    }[];
    [k: string]: unknown;
  }[];
  output_assertions?: {
    sentence?: {
      determiner?: string;
      subject_noun?: string;
      past_participle_verb?: string;
      auxiliary_verb?: string;
      object_descriptor?: string;
      object_nounorverb?: string;
      [k: string]: unknown;
    };
    logic_values?: {
      scenario?: string;
      value?: string;
      [k: string]: unknown;
    }[];
    [k: string]: unknown;
  }[];
  output_weight?: {
    character?: number;
    enforcement?: number;
    consequences?: number;
    [k: string]: unknown;
  };
  output_characteristics?: {
    rulemaker_ruletaker_thirdparty?: string;
    affirmative_negative_interrogative?: string;
    be_do_have?: string;
    declarative_imperative_empirical?: string;
    logical_practical_ethical?: string;
    [k: string]: unknown;
  };
  [k: string]: unknown;
}
